## python-grapheme 0.5.0

=== Makefile ===
.PHONY: process-data-files
process-data-files:
	python unicode-data/read_property_file.py

.PHONY: build-release
build-release:
	python setup.py sdist

.PHONY: release-to-test
release-to-test:
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*

.PHONY: release-to-prod
release-to-prod:
	twine upload dist/*

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = grapheme
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-grapheme (0.5.0-0kali2) kali-dev; urgency=medium

  * Fix debian/copyright

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 07 Mar 2025 12:44:21 +0100

python-grapheme (0.5.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegria <daniruiz@kali.org>  Fri, 07 Mar 2025 12:11:08 +0100

=== debian/control ===
Source: python-grapheme
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Daniel Ruiz de Alegria <daniruiz@kali.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/alvinlindstam/grapheme
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-grapheme
Vcs-Git: https://gitlab.com/kalilinux/packages/python-grapheme.git

Package: python3-grapheme
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Python package for grapheme aware string handling 
 A Python package for working with user perceived characters. More specifically,
 string manipulation and calculation functions for working with grapheme cluster
 groups (graphemes) as defined by the Unicode Standard Annex

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = grapheme

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-grapheme-$1.tar.gz%" \
   https://github.com/alvinlindstam/grapheme/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian
